Configuring nova.conf - [keystone_auth] mistake

Bug #1821411 reported by Luis Bustos on 2019-03-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Medium
Takashi NATSUME
Rocky
Medium
Takashi NATSUME
Stein
Medium
Takashi NATSUME

Bug Description

In the controller node configuration of the Compute service, when editing nova.conf, the guide instructs to define project_domain_name and user_domain_name as 'default'. They should be capitalized as 'Default' to be consistent with the rest of the guide.

URL referred: https://docs.openstack.org/nova/rocky/install/controller-install-rdo.html#install-and-configure-components

I am a new user to Linux but I believe most parameters in Linux are case-sensitive, this is why I consider relevant to report this minimal issue.

This bug tracker is for errors with the documentation, use the following as a template and remove or add fields as you see fit. Convert [ ] into [x] to check boxes:

- [X] This doc is inaccurate in this way: project_domain_name and user_domain_name should be capitalized as 'Default' instead of default to be consistent with the other parts of the installation guide. Currently both their values are 'default'.

- [ ] This is a doc addition request.
- [ ] I have a fix to the document that I can paste below including example: input and output.

If you have a troubleshooting or support issue, use the following resources:

 - Ask OpenStack: http://ask.openstack.org
 - The mailing list: http://lists.openstack.org
 - IRC: 'openstack' channel on Freenode

-----------------------------------
Release: 18.1.1.dev95 on 2019-03-21 16:37
SHA: 9bb78d5765dab01e38327f57312583c189a352d5
Source: https://git.openstack.org/cgit/openstack/nova/tree/doc/source/install/controller-install-rdo.rst
URL: https://docs.openstack.org/nova/rocky/install/controller-install-rdo.html

Tags: doc Edit Tag help
Changed in nova:
assignee: nobody → Takashi NATSUME (natsume-takashi)
status: New → In Progress
Matt Riedemann (mriedem) on 2019-04-06
Changed in nova:
importance: Undecided → Medium

Reviewed: https://review.openstack.org/647972
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=a71af2beada0ac46d7154994abbf955e9dfd99ac
Submitter: Zuul
Branch: master

commit a71af2beada0ac46d7154994abbf955e9dfd99ac
Author: Takashi NATSUME <email address hidden>
Date: Wed Mar 27 10:24:01 2019 +0900

    doc: Capitalize keystone domain name

    There is an inconsistency for keystone domain names
    in the nova doc. ('default' and 'Default')
    Replace 'default' with 'Default'.

    Change-Id: I437092d04b0cbea78942efd5f565734f34bcbcb2
    Closes-Bug: #1821411

Changed in nova:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/650600
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=ef25fff5ec741b146633df0c292dfefedcc14a22
Submitter: Zuul
Branch: stable/stein

commit ef25fff5ec741b146633df0c292dfefedcc14a22
Author: Takashi NATSUME <email address hidden>
Date: Wed Mar 27 10:24:01 2019 +0900

    doc: Capitalize keystone domain name

    There is an inconsistency for keystone domain names
    in the nova doc. ('default' and 'Default')
    Replace 'default' with 'Default'.

    Change-Id: I437092d04b0cbea78942efd5f565734f34bcbcb2
    Closes-Bug: #1821411
    (cherry picked from commit a71af2beada0ac46d7154994abbf955e9dfd99ac)

Reviewed: https://review.openstack.org/650601
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=94e17f988dfb751df381341863a11c60267fcd30
Submitter: Zuul
Branch: stable/rocky

commit 94e17f988dfb751df381341863a11c60267fcd30
Author: Takashi NATSUME <email address hidden>
Date: Wed Mar 27 10:24:01 2019 +0900

    doc: Capitalize keystone domain name

    There is an inconsistency for keystone domain names
    in the nova doc. ('default' and 'Default')
    Replace 'default' with 'Default'.

    Change-Id: I437092d04b0cbea78942efd5f565734f34bcbcb2
    Closes-Bug: #1821411
    (cherry picked from commit a71af2beada0ac46d7154994abbf955e9dfd99ac)
    (cherry picked from commit ef25fff5ec741b146633df0c292dfefedcc14a22)

This issue was fixed in the openstack/nova 19.0.1 release.

This issue was fixed in the openstack/nova 18.2.1 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers